| Boost.Hana 1.7.1 Your standard library for metaprogramming |

Classes | Namespaces
has_duplicates.hpp File Reference

Defines `boost::hana::detail::has_duplicates`. More...

## Classes
struct | boost::hana::detail::has_duplicates< T >
| Returns whether any of the `T`s are duplicate w.r.t. `hana::equal`. More...

## Namespaces
| boost::hana
| Namespace containing everything in the library.

## Detailed Description

Defines `boost::hana::detail::has_duplicates`.

Copyright
  Louis Dionne 2013-2017 Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE.md or copy at http://boost.org/LICENSE_1_0.txt)